Bug 1432954 (CVE-2017-6437) - CVE-2017-6437 libplist: Out-of-bounds heap read in base64encode function
Summary: CVE-2017-6437 libplist: Out-of-bounds heap read in base64encode function
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-6437
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1432971 1449973
Blocks: 1432966
TreeView+ depends on / blocked
 
Reported: 2017-03-16 13:07 UTC by Adam Mariš
Modified: 2019-09-29 14:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in libplist. A specially crafted plist file could be used by an attacker to crash the application using libplist.
Clone Of:
Environment:
Last Closed: 2017-05-17 07:14:05 UTC


Attachments (Terms of Use)

Description Adam Mariš 2017-03-16 13:07:32 UTC
The base64encode function in base64.c in libimobiledevice libplist 1.12 allows local users to cause a denial of service (out-of-bounds read) via a crafted plist file.

Upstream bug:

https://github.com/libimobiledevice/libplist/issues/100

Comment 1 Adam Mariš 2017-03-16 13:28:01 UTC
Created libplist tracking bugs for this issue:

Affects: fedora-all [bug 1432971]


Note You need to log in before you can comment on or make changes to this bug.